This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 485579 - autohidden gnome panel does not reappear on login
autohidden gnome panel does not reappear on login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 14:46 EST by kwman44
Modified: 2009-12-18 02:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:55:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kwman44 2009-02-14 14:46:51 EST
Description of problem:

A gnome panel, hidden with auto-hide option, does not reappear when I log out and log back on


Version-Release number of selected component (if applicable):

2.24.3

How reproducible:

Always

Steps to Reproduce:
1.  Create a new panel.  I drag mine to the left
2.  Turn on auto-hide option for the panel; panel slides away to become a thin strip at the side of the deskop.
3.  Move mouse over the thin strip of the panel, and the panel appears;  move mouse away from the panel, the panel slides away again to a thin strip.  All well and good.
4.  Log off, Log back in.   No side panel!
  
Actual results:

No side panel upon logging back in.  No thin strip of a panel.  Moving the mouse over there does nothing.  Side panel is effectively unreachable.

Expected results:

The thin strip of the hidden panel should appear along the side.  Moving mouse over that thin strip should make the panel pop out.

Additional info:

Can duplicate the problem with panels on either side, as well as top and bottom.  If the unreachable panel has an applet which changes state, the panel will re-appear (as the thin strip).  For example, the panel which has the window-list applet will reappear as soon as I do something which pops open a window.  The panel with the network-manager applet will reappear when the desktop realizes that the computer is connected to the internet.  A panel will also reappear if I drag an applet from another panel to the edge of the screen where the hidden panel should be.

I work around this with a script that invokes gconftool-2 to first turn off the autohide, and then turn on the autohide for the panel in question, i.e,:
gconftool-2 --set --type=bool "/apps/panel/toplevels/panel_0/auto_hide" "false"
gconftool-2 --set --type=bool "/apps/panel/toplevels/panel_0/auto_hide" "true"
Comment 1 Bug Zapper 2009-11-18 07:45:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:55:14 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.